# HaruAnnotation::setOpened

(PECL haru >= 0.0.1)

HaruAnnotation::setOpened — Set the initial state of the annotation

### Description

HaruAnnotation::setOpened ( bool `$opened` ) : bool

Defines whether the annotation is initially displayed open. This function may be used with text annotations only.

### Parameters

`opened`

  `TRUE` means the annotation is initially displayed open, `FALSE` - means it's closed.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.